Subject: Re: [PATCH v2 net-next/devicetree 0/5] DT bindings for Felix DSA switch on LS1028A

From: Shawn Guo <[email-masked]>
Date: Mon, 24 Feb 2020 16:48:27 +0800

On Mon, Feb 24, 2020 at 09:59:53AM +0200, Vladimir Oltean wrote:
> Hi Shawn,
> 
> On Mon, 24 Feb 2020 at 08:32, Shawn Guo <[email-masked]> wrote:
> >
> > On Wed, Feb 19, 2020 at 05:12:54PM +0200, Vladimir Oltean wrote:
> > > From: Vladimir Oltean <[email-masked]>
> > >
> > > As per feedback received in v1, I've changed the DT bindings for the
> > > internal ports from "gmii" to "internal". So I would like the entire
> > > series to be merged through a single tree, be it net-next or devicetree.
> >
> > Will applying the patches via different trees as normal cause any
> > issue like build breakage or regression on either tree?  Otherwise, I do
> > not see the series needs to go in through a single tree.
> >
> > Shawn
> >
> 
> No, the point is that I've made some changes in the device tree
> bindings validation in the driver, which make the driver without those
> changes incompatible with the bindings themselves that I'm
> introducing. So I would like the driver to be operational on the
> actual commit that introduces the bindings, at least in your tree. I
> don't expect merge conflicts to occur in that area of the code.

The dt-bindings patch is supposed to go through subsystem tree together
with driver changes by nature.  That said, patch #1 and #2 are for
David, and I will pick up the rest (DTS ones).

Shawn